Name:           smem
Version:        0.1
Release:        4%{?dist}
Summary:        Report application memory usage in a meaningful way

Group:          Applications/System
License:        GPLv2+
URL:            http://www.selenic.com/smem/
Source0:        http://www.selenic.com/smem/download/smem-0.1.tar.gz
Source1:        http://www.selenic.com/smem/index.html
# http://selenic.com/repo/index.cgi/smem/raw-rev/741bd2646ebf
# Add GPLv2+ license and copyright notice
Patch0:         smem-0.1-741bd2646ebf-gplv2+.patch
# http://selenic.com/repo/index.cgi/smem/raw-rev/4320ad746bcc
# Kernel version >= 2.6.27 check
Patch1:         smem-0.1-4320ad746bcc-kervercheck.patch
Requires:       kernel >= 2.6.27
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
smem is a tool that can give numerous reports on memory usage on Linux
systems. Unlike existing tools, smem can report proportional set size (PSS),
which is a more meaningful representation of the amount of memory used by
libraries and applications in a virtual memory system.

Because large portions of physical memory are typically shared among
multiple applications, the standard measure of memory usage known as
resident set size (RSS) will significantly overestimate memory usage. PSS
instead measures each application's "fair share" of each shared area to give
a realistic measure.

%prep

%setup -q

%patch0 -p1 -b .gpl
%patch1 -p1 -b .kerver

cp -a %{SOURCE1} smem.html

# sample script, installed as documentation
chmod -x capture

%build


%install
rm -rf $RPM_BUILD_ROOT
install -D -p -m 755 smem $RPM_BUILD_ROOT/%{_bindir}/smem

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc smem.html capture COPYING
%{_bindir}/smem


%changelog
* Wed May  7 2009 Matthew Miller <mattdm@mattdm.org> - 0.1-4
- remove smem.pdf at request of upstream
- patch0: 741bd2646ebf -- add GPLv2+ and copyright notice
- patch1: 4320ad746bcc -- check that kernel release >= 2.6.27

* Thu Apr 30 2009 Matthew Miller <mattdm@mattdm.org> - 0.1-3
- fix minor rpmlint concerns raised in review (bz #498490)

* Thu Apr 30 2009 Matthew Miller <mattdm@mattdm.org> - 0.1-2
- whoops -- fixed group

* Thu Apr 30 2009 Matthew Miller <mattdm@mattdm.org> - 0.1-1
- initial specfile
- note gplv2+ license -- added in svn and will be in next code release
